package com.google.android.exoplayer2.h;

import java.io.IOException;

public class r$c extends IOException {
    public final i bib;
    public final int type;

    public r$c(String str, i iVar) {
        super(str);
        this.bib = iVar;
        this.type = 1;
    }

    public r$c(IOException iOException, i iVar, int i) {
        super(iOException);
        this.bib = iVar;
        this.type = i;
    }

    public r$c(String str, IOException iOException, i iVar) {
        super(str, iOException);
        this.bib = iVar;
        this.type = 1;
    }
}
